Bug 1526052 (CVE-2017-17669) - CVE-2017-17669 exiv2: Heap-based buffer over-read in PngChunk::keyTXTChunk function of pngchunk_int.cpp
Summary: CVE-2017-17669 exiv2: Heap-based buffer over-read in PngChunk::keyTXTChunk fu...
Status: CLOSED WONTFIX
Alias: CVE-2017-17669
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20171213,reported=2...
Keywords: Security
Depends On: 1526053
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-14 17:07 UTC by Pedro Sampaio
Modified: 2019-06-08 22:33 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 03:34:21 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-12-14 17:07:35 UTC
There is a heap-based buffer over-read in the Exiv2::Internal::PngChunk::keyTXTChunk function of pngchunk_int.cpp in Exiv2 0.26. A crafted PNG file will lead to a remote denial of service attack.

Upstream issue:

https://github.com/Exiv2/exiv2/issues/187

Comment 1 Pedro Sampaio 2017-12-14 17:08:03 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1526053]


Note You need to log in before you can comment on or make changes to this bug.